<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.xssf.model (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.xssf.model (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.xssf.model" class="title">Uses of Package<br>org.apache.poi.xssf.model
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.binary">org.apache.poi.xssf.binary</a></td>
                    <td class="colLast">
                        <div class="block">The org.apache.poi.xssf.binary package includes necessary underlying
                            components
                            for streaming/read-only processing of xlsb files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.eventusermodel">org.apache.poi.xssf.eventusermodel</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.extractor">org.apache.poi.xssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.model">org.apache.poi.xssf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.extensions">org.apache.poi.xssf.usermodel.extensions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.helpers">org.apache.poi.xssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.binary">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStrings.html#org.apache.poi.xssf.binary">SharedStrings</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.eventusermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/eventusermodel/package-summary.html">org.apache.poi.xssf.eventusermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Comments.html#org.apache.poi.xssf.eventusermodel">Comments</a>
                        <div class="block">An interface exposing useful functions for dealing with Excel Workbook
                            Comments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/CommentsTable.html#org.apache.poi.xssf.eventusermodel">CommentsTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStrings.html#org.apache.poi.xssf.eventusermodel">SharedStrings</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStringsTable.html#org.apache.poi.xssf.eventusermodel">SharedStringsTable</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Styles.html#org.apache.poi.xssf.eventusermodel">Styles</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/StylesTable.html#org.apache.poi.xssf.eventusermodel">StylesTable</a>
                        <div class="block">Table of styles shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">org.apache.poi.xssf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Comments.html#org.apache.poi.xssf.extractor">Comments</a>
                        <div class="block">An interface exposing useful functions for dealing with Excel Workbook
                            Comments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStrings.html#org.apache.poi.xssf.extractor">SharedStrings</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Styles.html#org.apache.poi.xssf.extractor">Styles</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Comments.html#org.apache.poi.xssf.model">Comments</a>
                        <div class="block">An interface exposing useful functions for dealing with Excel Workbook
                            Comments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStrings.html#org.apache.poi.xssf.model">SharedStrings</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Styles.html#org.apache.poi.xssf.model">Styles</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/Themes.html#org.apache.poi.xssf.model">Themes</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/ThemesTable.html#org.apache.poi.xssf.model">ThemesTable</a>
                        <div class="block">Class that represents theme of XLSX document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/ThemesTable.ThemeElement.html#org.apache.poi.xssf.model">ThemesTable.ThemeElement</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.streaming">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStringsTable.html#org.apache.poi.xssf.streaming">SharedStringsTable</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/CalculationChain.html#org.apache.poi.xssf.usermodel">CalculationChain</a>
                        <div class="block">The cells in a workbook can be calculated in different orders depending on
                            various optimizations and
                            dependencies.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/CommentsTable.html#org.apache.poi.xssf.usermodel">CommentsTable</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/ExternalLinksTable.html#org.apache.poi.xssf.usermodel">ExternalLinksTable</a>
                        <div class="block">Holds details of links to parts of other workbooks (eg named ranges),
                            along with the most recently seen values for what they point to.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/MapInfo.html#org.apache.poi.xssf.usermodel">MapInfo</a>
                        <div class="block">This class implements the Custom XML Mapping Part (Open Office XML Part 1:
                            chapter 12.3.6)

                            An instance of this part type contains a schema for an XML file, and
                            information on the behavior that is used when allowing this custom XML schema
                            to be mapped into the spreadsheet.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SharedStringsTable.html#org.apache.poi.xssf.usermodel">SharedStringsTable</a>
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/StylesTable.html#org.apache.poi.xssf.usermodel">StylesTable</a>
                        <div class="block">Table of styles shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/ThemesTable.html#org.apache.poi.xssf.usermodel">ThemesTable</a>
                        <div class="block">Class that represents theme of XLSX document.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel.extensions">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/package-summary.html">org.apache.poi.xssf.usermodel.extensions</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/ThemesTable.html#org.apache.poi.xssf.usermodel.extensions">ThemesTable</a>
                        <div class="block">Class that represents theme of XLSX document.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xssf/model/class-use/SingleXmlCells.html#org.apache.poi.xssf.usermodel.helpers">SingleXmlCells</a>
                        <div class="block">This class implements the Single Cell Tables Part (Open Office XML Part 4:
                            chapter 3.5.2)
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
